#!/usr/bin/perl

# Lists the zones (primary and secondary) for the index frame.

use Bind;

$dns = new Bind("named/named.boot");

print "Content-type: text/html\n\n";

if (!defined($dns)) {
    print "Database is currently being locked.  Please try again later.\n";
    exit 0;
}

@zones = sort Bind::zonesort $dns->zonelist("PRIMARY");

# Gross, but actually pretty fast...
foreach (@zones) {
    if (!/\.IN-ADDR\.ARPA\.$/) {
	print "<a href=\"showzone.cgi?zone=$_\" target=\"show\">$_</a><br>\n";
    }
}
foreach (@zones) {
    if (/\.IN-ADDR\.ARPA\.$/) {
	print "<a href=\"showzone.cgi?zone=$_\" target=\"show\">$_</a><br>\n";
    }
}
