#!/usr/bin/perl

# Given a domain, we now display all the interesting information we can
# about it.  Maybe we'll get spiffy about it later, but for now we're going
# to do this in a fairly plain manner.

use CGI;
use CGI::Carp qw(fatalsToBrowser);
use Bind;

$doc = new CGI;

print $doc->header;
print $doc->start_html('Zone Contents');

if (!$doc->param('zone')) {
    print "No zone has been selected yet.\n";
    exit 0;
}

$dns = new Bind('named/named.boot');

if (!defined($dns)) {
    print "The zone is being locked.  Please try again.\n";
    exit 0;
}

$zone = $doc->param('zone');
print $doc->h1($zone);
print $doc->a({href=>"edithost.cgi?host=&zone=$zone",target=>'edit'},
 	      "ADD NEW"),"<br><br>\n";
foreach $host ($dns->listzone($zone)) {
    print $doc->a({href=>"edithost.cgi?host=$host&zone=$zone",target=>'edit'},
		  $host),"<br>\n";
}
